## diploma 1.1.1

=== Makefile ===
#!/usr/bin/make -f
all :
	tar -cvzf diploma_1.tar.gz diploma_1
	tar -cvzf diploma_2.tar.gz diploma_2

distclean :
	rm -f diploma_1.tar.gz
	rm -f diploma_2.tar.gz

=== diploma_1/Makefile ===
#
# Makefile
#
# Example 1 of the Debian package diploma
#
# Copyright (C) 1999 Andreas Franzen
#
# See the file copyright for details.
#
# The final target is the print file diploma_1.ps. This depends on the
# document in dvi-format and the figures.

diploma_1.ps : diploma_1.dvi src/XRD.eps fig/salt.eps fig/salt2.eps
	dvips -o diploma_1.ps diploma_1

# These are numeric parameters which are included in the text.

parameters = min2theta.tex max2theta.tex stepnumber.tex stepsize.tex \
  lambdaKalpha1.tex lambdaKalpha2.tex lambdaKbeta.tex

# The dvi-file is generated by latex from the tex-source. The bounding boxes
# of the included figures are needed and also the data of the table.

diploma_1.dvi : diploma_1.tex src/XRD.eps fig/salt.eps fig/salt2.eps \
                  res/table1.tex res/result.tex $(parameters)
	latex diploma_1 ; latex diploma_1 ; latex diploma_1

# The program poisson2gauss converts Poisson distributed noise to
# Gaussian distributed noise.

bin/poisson2gauss : src/poisson2gauss.c
	cc -Wall -o bin/poisson2gauss src/poisson2gauss.c -lm

# res/salt1.dat is the original data set converted to Gaussian distributed
# noise and fitted with 2*Theta values to create an xy-data set.

res/salt1.dat : bin/poisson2gauss bin/addx dat/salt.dat
	bin/poisson2gauss < dat/salt.dat | bin/addx > res/salt1.dat

# res/salt2.dat is created like res/salt1.dat with an additional denoising
# stage after the conversion from Poisson distributed noise to Gaussian
# distributed noise.

res/salt2.dat : bin/poisson2gauss bin/addx dat/salt.dat
	bin/poisson2gauss < dat/salt.dat | wzip -hdn 7536 4 | \
          bin/addx > res/salt2.dat

# The program addx is used to fit the measurement data with 2*Theta values.
# It is compiled with cc and depends on its source code src/addx.c and
# an included header file inc/salt.h.

bin/addx : src/addx.c inc/salt.h
	cc -Wall -o bin/addx src/addx.c

# The figure fig/salt.eps is a simple plot of the original measurement data.
# It depends only on the measurement data set dat/salt.dat and is created
# by use of the program graph from the Debian package plotutils.

# The output of graph is piped through the stream editor "sed" to change
# every occurence of "setlinejoin" to "pop 1 setlinejoin". Same with
# "setlinecap". In the standard mode corners of the graph are ploted with
# sharp edges. With a large number of noisy measurement data, this tends
# to visually increase the amplitude of the noise. Mode 1 means rounded
# line joins and line caps.
fig/salt.eps : dat/salt.dat
	graph -T ps -f 0.04 -h0.4 -a -X "step number" -Y "counts per step" \
          dat/salt.dat | sed -e \
  "s/setlinejoin/pop 1 setlinejoin/g;s/setlinecap/pop 1 setlinecap/g" \
  > fig/salt.eps

# fig/salt2.eps shows the processed data sets res/salt1.dat and res/salt2.dat.

fig/salt2.eps : res/salt1.dat res/salt2.dat
	graph -T ps -f 0.04 -h 0.2 -w 0.6 -u 0.6 \
          --blankout 1.0 \
          -y 0 150 50 res/salt1.dat \
          --reposition 0 -0.26 1.0 \
          -y 0 25 5 -Y "transformed counts per step" res/salt1.dat \
          --reposition 0 -0.52 1.0 \
          -X "diffraction angle 2\*H in \de" -Y "" res/salt2.dat \
          | sed -e \
  "s/setlinejoin/pop 1 setlinejoin/g;s/setlinecap/pop 1 setlinecap/g" \
          > fig/salt2.eps

# The first call of the stream editor sed converts any . into a ,. The
# second replaces any space by an invisible 0.

res/table1.tex : res/table1.dat
	sed y/./,/ < res/table1.dat | sed s/' '/'\\phantom{0}'/g \
          > res/table1.tex

res/table1.dat res/result.tex : bin/table1
	bin/table1 > res/table1.dat

bin/table1 : src/table1.c inc/salt.h
	cc -Wall -o bin/table1 src/table1.c -lm

# The program parameters.c creates files which contain the numerical
# parameters in the text.

bin/parameters : inc/salt.h src/parameters.c
	cc -Wall -o bin/parameters src/parameters.c

$(parameters) : bin/parameters
	bin/parameters

=== diploma_2/Makefile ===
#
# Makefile
#
# Example 2 of the Debian package diploma
#
# Copyright (C) 1999 Andreas Franzen
#
# See the file copyright for details.
#
# The final target is the print file fig.eps.

# fig.eps depends on fig.meta and pic.meta. fig.meta is the diagram produced
# by graph and pic.meta is a hand-made addidional picture to be included.
fig.eps : fig.meta pic.meta h.meta
	plot -T ps -s fig.meta h.meta pic.meta > fig.eps

# The diagram produced by graph contains the processed measurement data in
# data.dat and two points of the regression-line in regdata.dat.
fig.meta : data.dat regdata.dat
	graph -O -F HersheySans -X "frequency \*n in 10\sp15\eps\sp-1" \
          -Y "voltage \f2U\f1 in V" -S 1 -m 0 -I e data.dat \
          -m 1 -I a regdata.dat > fig.meta

# In the raw measurement data there are 4 individual measurements for each
# wavelength. These are converted by use of prog into single values with the
# corresponding statistical error.
data.dat : prog rawdata.dat
	./prog < rawdata.dat > data.dat

# From the data points in data.dat a regression line is computed. Two points
# on this line are then saved in regdata.dat.
regdata.dat : prog2 data.dat
	./prog2 < data.dat > regdata.dat

prog : prog.c
	gcc -Wall -o prog prog.c -lm

prog2 : prog2.c
	gcc -Wall -o prog2 prog2.c -lm

=== debian/changelog ===
diploma (1.1.1) unstable; urgency=low

  * Changed to policy 3.1.1.1.

 -- Andreas Franzen <anfra@debian.org>  Tue, 11 Jan 2000 02:42:18 +0100

diploma (1.1.0) unstable; urgency=low

  * Added example 2.

 -- Andreas Franzen <anfra@debian.org>  Sun, 10 Oct 1999 15:31:52 +0200

diploma (1.0.1) unstable; urgency=low

  * Changed the short description in debian/control.
  * Changed the generation of graphs to rounded line caps and line joins.
  * The additionally needed packages are listed in contents.

 -- Andreas Franzen <anfra@debian.org>  Sat,  4 Sep 1999 12:50:26 +0200

diploma (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Andreas Franzen <anfra@debian.org>  Sun, 10 Jan 1999 01:00:56 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "anfra@debian.org"
End:

=== debian/control ===
Source: diploma
Section: doc
Priority: optional
Maintainer: Andreas Franzen <anfra@debian.org>
Standards-Version: 3.1.1.1

Package: diploma
Architecture: all
Recommends: tetex-extra,c-compiler,plotutils,wzip
Description: Write scientific papers with Debian
 Debian GNU/Linux is widely used at universities to do research and
 to write papers with LaTeX. The package diploma contains examples which
 illustrate the possible ways to do this effectively with Debian GNU/Linux.
 Each example consists of a source tree where you can do "make" in the top
 level directory and then the source code is compiled, the measurement
 data are processed, and the results are converted into nice figures.
 Then the text is processed and combined with the figures to a print file.

## diploma 1.2.3

=== debian/changelog ===
diploma (1.2.3) unstable; urgency=low

  * The packages needed to compile the first three examples are now in
    the Depends: field instead of Recommends:.

 -- Andreas Franzen <anfra@debian.org>  Tue, 28 Aug 2001 21:51:56 +0200

diploma (1.2.2) testing unstable; urgency=low

  * Added "Build-Depends: debhelper" to debian/control.

 -- Andreas Franzen <anfra@debian.org>  Sat, 18 Aug 2001 09:18:28 +0200

diploma (1.2.1) testing unstable; urgency=low

  * Changed the short description in debian/control.
  * Added imagemagick to the "Depends:" field.

 -- Andreas Franzen <anfra@debian.org>  Sat, 18 Aug 2001 08:46:49 +0200

diploma (1.2.0) unstable; urgency=low

  * Added example 3.
  * Changed section entry from doc to science.

 -- Andreas Franzen <anfra@debian.org>  Mon, 20 Mar 2000 01:09:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
 Standards-Version: 3.1.1.1
+Build-Depends: debhelper
 
 Package: diploma
 Architecture: all
-Recommends: tetex-extra,c-compiler,plotutils,wzip
+Depends: tetex-extra,gcc|c-compiler,plotutils,wzip,imagemagick
 Description: Write scientific papers with Debian
  Debian GNU/Linux is widely used at universities to do research and
  to write papers with LaTeX. The package diploma contains examples which

## diploma 1.2.4

=== debian/changelog ===
diploma (1.2.4) unstable; urgency=low

  * Updated to policy standards 3.5.9

  * Changed Build-Depends in the control file into Build-Depends-Indep.

 -- Andreas Franzen <anfra@debian.org>  Mon, 31 Mar 2003 21:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.1.1.1
-Build-Depends: debhelper
+Standards-Version: 3.5.9
+Build-Depends-Indep: debhelper
 
 Package: diploma
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules of the Debian package "diploma"

# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	-rm -r debian/tmp/usr/doc
	-rm -r debian/tmp/usr/man
	# Add here commands to install the package into debian/tmp.
	#$(MAKE) prefix=`pwd`/debian/tmp/usr install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs contents
	dh_installexamples diploma*.tar.gz
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## diploma 1.2.5

=== debian/changelog ===
diploma (1.2.5) unstable; urgency=low

  * Updated to policy standard 3.6.1.1

  * Changed the copyright-file to reference common-licenses

  * Removed add-log-mailing-address in the changelog-file

  * Removed dh_suidregister in the rules-file

  * Changed 'made from' into 'made of' in example 1

 -- Andreas Franzen <anfra@debian.org>  Tue, 28 Mar 2006 21:30:20 +0200

## diploma 1.2.6

=== debian/changelog ===
diploma (1.2.6) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359392). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 13 Jul 2006 20:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.5.9
-Build-Depends-Indep: debhelper
+Standards-Version: 3.6.1.1
+Build-Depends-Indep: debhelper (>> 4.0.0)
 
 Package: diploma
 Architecture: all

## diploma 1.2.7

=== Makefile ===
#!/usr/bin/make -f
all :
	tar -cvzf diploma_1.tar.gz diploma_1
	tar -cvzf diploma_2.tar.gz diploma_2
	tar -cvzf diploma_3.tar.gz diploma_3

distclean :
	rm -f diploma_1.tar.gz
	rm -f diploma_2.tar.gz
	rm -f diploma_3.tar.gz

=== diploma_1/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 # to visually increase the amplitude of the noise. Mode 1 means rounded
 # line joins and line caps.
 fig/salt.eps : dat/salt.dat
-	graph -T ps -f 0.04 -h0.4 -a -X "step number" -Y "counts per step" \
+	graph -T ps -f 0.06 -h 0.4 -a -X "step number" -Y "counts per step" \
           dat/salt.dat | sed -e \
   "s/setlinejoin/pop 1 setlinejoin/g;s/setlinecap/pop 1 setlinecap/g" \
   > fig/salt.eps
@@ -71,7 +71,7 @@
 # fig/salt2.eps shows the processed data sets res/salt1.dat and res/salt2.dat.
 
 fig/salt2.eps : res/salt1.dat res/salt2.dat
-	graph -T ps -f 0.04 -h 0.2 -w 0.6 -u 0.6 \
+	graph -T ps -f 0.08 -h 0.2 -w 0.6 -u 0.6 \
           --blankout 1.0 \
           -y 0 150 50 res/salt1.dat \
           --reposition 0 -0.26 1.0 \

=== debian/changelog ===
diploma (1.2.7) unstable; urgency=low

  * Changed Build-Depends-Indep into Build-Depends.
  * Include texlive as alternative to tetex and change depends to
    suggests (Closes: #427553). 

 -- Andreas Franzen <anfra@debian.org>  Wed, 12 Dec 2007 20:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
 Standards-Version: 3.6.1.1
-Build-Depends-Indep: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>> 4.0.0)
 
 Package: diploma
 Architecture: all
-Depends: tetex-extra,gcc|c-compiler,plotutils,wzip,imagemagick
+Suggests: texlive-latex-base|tetex-bin,gcc|c-compiler,plotutils,wzip,imagemagick
 Description: Write scientific papers with Debian
  Debian GNU/Linux is widely used at universities to do research and
  to write papers with LaTeX. The package diploma contains examples which

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_installchangelogs
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## diploma 1.2.8

=== debian/changelog ===
diploma (1.2.8) unstable; urgency=low

  * Added a statement to set the text rotation to 0 in diploma_2/prog2.c.

 -- Andreas Franzen <anfra@debian.org>  Thu, 13 Dec 2007 00:38:50 +0100

## diploma 1.2.9

=== debian/changelog ===
diploma (1.2.9) unstable; urgency=low

  * Updated to policy standard 3.8.0

 -- Andreas Franzen <anfra@debian.org>  Wed, 15 Dec 2010 22:14:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.8.0
 Build-Depends: debhelper (>> 4.0.0)
 
 Package: diploma

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	-$(MAKE) distclean
+	$(MAKE) distclean
 
 	dh_clean

## diploma 1.2.10

=== debian/changelog ===
diploma (1.2.10) unstable; urgency=low

  * Updated to policy standard 3.9.2
  * Added Depends: ${shlibs:Depends} to debian/control
  * Changed dh_clean -k into dh_prep in debian/rules
  * updated Build-Depends: debhelper (>> 7.0.0) in debian/control
  * added set -e to debian/postinst

 -- Andreas Franzen <anfra@debian.org>  Tue, 14 Jun 2011 22:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 7.0.0)
 
 Package: diploma
 Architecture: all
+Depends: ${misc:Depends}
 Suggests: texlive-latex-base|tetex-bin,gcc|c-compiler,plotutils,wzip,imagemagick
 Description: Write scientific papers with Debian
  Debian GNU/Linux is widely used at universities to do research and

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	-rm -r debian/tmp/usr/doc
 	-rm -r debian/tmp/usr/man

## diploma 1.2.11

=== diploma_3/Makefile ===
galaxy.eps : galaxy.c logo-50.eps
	gcc -Wall -o galaxy galaxy.c -lm
	./galaxy

logo-50.eps : logo-50.jpg
	convert logo-50.jpg logo-50.eps

=== debian/changelog ===
diploma (1.2.11) unstable; urgency=low

  * added targets build-arch and build-indep to debian/rules
  * removed obsolete package tetex from Sugests:
  * added texlive-latex-base and gv to the file contents
  * changes in galaxy.c of diploma_3 to address compatibility with convert

 -- Andreas Franzen <anfra@debian.org>  Tue, 11 Oct 2011 14:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: diploma
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: texlive-latex-base|tetex-bin,gcc|c-compiler,plotutils,wzip,imagemagick
+Suggests: texlive-latex-base,gcc|c-compiler,plotutils,wzip,gv,imagemagick
 Description: Write scientific papers with Debian
  Debian GNU/Linux is widely used at universities to do research and
  to write papers with LaTeX. The package diploma contains examples which

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir

## diploma 1.2.12

=== debian/changelog ===
diploma (1.2.12) unstable; urgency=medium

  * Updated to standard 3.9.6.
  * Fix "please make the build reproducible". In the rule for the target
    build-stamp in debian/rules $(MAKE) is preceded by GZIP="-n" so that
    gzip when invoced by tar does not write a timestamp into the
    compressed file. (Closes: #776956)

 -- Andreas Franzen <anfra@debian.org>  Tue, 18 Oct 2016 18:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>> 7.0.0)
 
 Package: diploma

## diploma 1.2.13

=== debian/changelog ===
diploma (1.2.13) unstable; urgency=medium

  * Fix "please make the build reproducible" using patch provided by
    Author: Reiner Herrmann <reiner@reiner-h.de>
    Description: Create reproducible tarballs
    - sort archive members (needs tar 1.28)
    - use uid/gid 0
    - normalize permissions for umask variances
    (Closes: #854146)

 -- Andreas Franzen <anfra@debian.org>  Mon, 20 Feb 2017 23:46:58 +0100

## diploma 1.2.14

=== debian/changelog ===
diploma (1.2.14) unstable; urgency=medium

  * Updated to standard 4.1.3
  * Updated to debhelper 9
  * Added the file debian/source/format

 -- Andreas Franzen <anfra@debian.org>  Wed, 14 Feb 2018 17:16:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	GZIP="-n" $(MAKE)
 
 	touch build-stamp

## diploma 1.2.14+nmu1

=== debian/changelog ===
diploma (1.2.14+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:21:31 +0800

## diploma 1.2.16

=== Makefile ===
#!/usr/bin/make -f
all :
	tar --sort=name --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner -cvzf diploma_1.tar.gz diploma_1
	tar --sort=name --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner -cvzf diploma_2.tar.gz diploma_2
	tar --sort=name --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner -cvzf diploma_3.tar.gz diploma_3

distclean :
	rm -f diploma_1.tar.gz
	rm -f diploma_2.tar.gz
	rm -f diploma_3.tar.gz

=== diploma_1/Makefile ===
--- 
+++ 
@@ -7,7 +7,12 @@
 #
 # See the file copyright for details.
 #
-# The final target is the print file diploma_1.ps. This depends on the
+
+# The final target is diploma_1.pdf.
+diploma_1.pdf : diploma_1.ps
+	ps2pdf diploma_1.ps
+
+# The next target is diploma_1.ps. This depends on the
 # document in dvi-format and the figures.
 
 diploma_1.ps : diploma_1.dvi src/XRD.eps fig/salt.eps fig/salt2.eps

=== diploma_2/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # The final target is the print file fig.eps.
 
 # fig.eps depends on fig.meta and pic.meta. fig.meta is the diagram produced
-# by graph and pic.meta is a hand-made addidional picture to be included.
+# by graph and pic.meta is a hand-made additional picture to be included.
 fig.eps : fig.meta pic.meta h.meta
 	plot -T ps -s fig.meta h.meta pic.meta > fig.eps
 
@@ -29,7 +29,7 @@
 
 # From the data points in data.dat a regression line is computed. Two points
 # on this line are then saved in regdata.dat.
-regdata.dat : prog2 data.dat
+regdata.dat h.meta : prog2 data.dat
 	./prog2 < data.dat > regdata.dat
 
 prog : prog.c

=== diploma_3/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+galaxy.pdf : galaxy.eps
+	ps2pdf galaxy.eps
+
 galaxy.eps : galaxy.c logo-50.eps
 	gcc -Wall -o galaxy galaxy.c -lm
 	./galaxy

=== debian/changelog ===
diploma (1.2.16) unstable; urgency=medium

  * Added empty directories diploma_1/fig, bin and res (Closes: #962094)

 -- Andreas Franzen <anfra@debian.org>  Thu, 11 Jun 2020 12:38:44 +0200

diploma (1.2.15+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #960958)

 -- Paul Gevers <elbrus@debian.org>  Mon, 18 May 2020 21:16:15 +0200

diploma (1.2.15) unstable; urgency=medium

  * In example no. 3 the file "galaxy.eps" is additionally converted
    into "galaxy.pdf" because "galaxy.eps" is not displayed by
    "evince" which is a common standard viewer.

 -- Andreas Franzen <anfra@debian.org>  Wed, 18 Mar 2020 21:06:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>> 7.0.0)
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9)
 
 Package: diploma
 Architecture: all

## diploma 1.2.16build1

=== debian/changelog ===
diploma (1.2.16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Nov 2025 19:21:00 +0000
